Skip to content
Snippets Groups Projects
Commit ffc3d023 authored by jurgenhaas's avatar jurgenhaas
Browse files

Merge branch 'develop' into 'main'

Merging develop into main

See merge request !75
parents 3435ad3a d6020dd6
No related branches found
No related tags found
1 merge request!75Merging develop into main
Pipeline #1336585 passed
ARG ALPINE_VERSION ARG ALPINE_VERSION=undefined
ARG PHP_MAJOR_VERSION ARG PHP_MAJOR_VERSION=undefined
FROM php:${PHP_MAJOR_VERSION}-cli-alpine${ALPINE_VERSION} FROM php:${PHP_MAJOR_VERSION}-cli-alpine${ALPINE_VERSION}
ARG VERSION ARG VERSION=undefined
LABEL com.example.vendor="LakeDrops" \ LABEL com.example.vendor="LakeDrops" \
maintainer="juergen.haas@lakedrops.com" \ maintainer="juergen.haas@lakedrops.com" \
version="${VERSION}" \ version="${VERSION}" \
description="An image for GitLab runner to build and test Drupal projects." description="An image for GitLab runner to build and test Drupal projects."
ARG ALPINE_VERSION ARG ALPINE_VERSION=undefined
ARG PHP_MAJOR_VERSION ARG PHP_MAJOR_VERSION=undefined
ARG AHOY_VERSION=2.2.0 ARG AHOY_VERSION=2.2.0
ARG DIFFTASTIC_VERSION=0.60.0 ARG DIFFTASTIC_VERSION=0.60.0
ARG DOCKER_CHANNEL=stable ARG DOCKER_CHANNEL=stable
...@@ -19,12 +19,12 @@ ARG DOCKER_CHANNEL=stable ...@@ -19,12 +19,12 @@ ARG DOCKER_CHANNEL=stable
ARG DOCKER_VERSION=27.3.1 ARG DOCKER_VERSION=27.3.1
ARG GIT_EXTRAS_VERSION=7.2.0 ARG GIT_EXTRAS_VERSION=7.2.0
ARG GLAB_VERSION=1.48.0 ARG GLAB_VERSION=1.48.0
ARG apkArch ARG APK_ARCH=undefined
ARG buildx_version=0.17.1 ARG buildx_version=0.17.1
# IMPORTANT: keep the docker compose version in sync with the Ansible Docker role. # IMPORTANT: keep the docker compose version in sync with the Ansible Docker role.
ARG compose_version=2.29.7 ARG compose_version=2.29.7
ARG composer_version=2.8.1 ARG composer_version=2.8.1
ARG dockerArch ARG DOCKER_ARCH=undefined
ARG fx_version=35.0.0 ARG fx_version=35.0.0
ARG glibc_version=2.35-r1 ARG glibc_version=2.35-r1
ARG yq_version=4.44.3 ARG yq_version=4.44.3
...@@ -36,20 +36,20 @@ ADD etc/* /etc/ ...@@ -36,20 +36,20 @@ ADD etc/* /etc/
RUN echo 'hosts: files dns' > /etc/nsswitch.conf && \ RUN echo 'hosts: files dns' > /etc/nsswitch.conf && \
set -eux && \ set -eux && \
\ \
apkArch="$(apk --print-arch)" && \ APK_ARCH="$(apk --print-arch)" && \
case "$apkArch" in \ case "$APK_ARCH" in \
x86_64) dockerArch='x86_64' ;; \ x86_64) DOCKER_ARCH='x86_64' ;; \
armhf) dockerArch='armel' ;; \ armhf) DOCKER_ARCH='armel' ;; \
aarch64) dockerArch='aarch64' ;; \ aarch64) DOCKER_ARCH='aarch64' ;; \
ppc64le) dockerArch='ppc64le' ;; \ ppc64le) DOCKER_ARCH='ppc64le' ;; \
s390x) dockerArch='s390x' ;; \ s390x) DOCKER_ARCH='s390x' ;; \
*) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;;\ *) echo >&2 "error: unsupported architecture ($APK_ARCH)"; exit 1 ;;\
esac && \ esac && \
\ \
apk add --no-cache ca-certificates curl openssl && \ apk add --no-cache ca-certificates curl openssl && \
\ \
if ! curl -fSL -o docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then \ if ! curl -fSL -o docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${DOCKER_ARCH}/docker-${DOCKER_VERSION}.tgz"; then \
echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; \ echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${DOCKER_ARCH}'"; \
exit 1; \ exit 1; \
fi && \ fi && \
\ \
...@@ -100,9 +100,9 @@ RUN echo 'hosts: files dns' > /etc/nsswitch.conf && \ ...@@ -100,9 +100,9 @@ RUN echo 'hosts: files dns' > /etc/nsswitch.conf && \
pip install python-gitlab && \ pip install python-gitlab && \
pip install visidata && \ pip install visidata && \
\ \
wget -q https://gitlab.com/gitlab-org/cli/-/releases/v${GLAB_VERSION}/downloads/glab_${GLAB_VERSION}_Linux_x86_64.apk && \ wget -q https://gitlab.com/gitlab-org/cli/-/releases/v${GLAB_VERSION}/downloads/glab_${GLAB_VERSION}_linux_amd64.apk && \
apk add --no-cache --allow-untrusted glab_${GLAB_VERSION}_Linux_x86_64.apk && \ apk add --no-cache --allow-untrusted glab_${GLAB_VERSION}_linux_amd64.apk && \
rm glab_${GLAB_VERSION}_Linux_x86_64.apk && \ rm glab_${GLAB_VERSION}_linux_amd64.apk && \
\ \
wget -q https://github.com/Wilfred/difftastic/releases/download/${DIFFTASTIC_VERSION}/difft-x86_64-unknown-linux-gnu.tar.gz && \ wget -q https://github.com/Wilfred/difftastic/releases/download/${DIFFTASTIC_VERSION}/difft-x86_64-unknown-linux-gnu.tar.gz && \
tar -xf difft-x86_64-unknown-linux-gnu.tar.gz && \ tar -xf difft-x86_64-unknown-linux-gnu.tar.gz && \
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Please register or to comment